BasicFileChooserUI.AcceptAllFileFilter (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicFileChooserUI.AcceptAllFileFilter class
Date: 2016-07-28

javax.swing.plaf.basic

## Class BasicFileChooserUI.AcceptAllFileFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - javax.swing.plaf.basic.BasicFileChooserUI.AcceptAllFileFilter

- Enclosing class:
    BasicFileChooserUI

      protected class BasicFileChooserUI.AcceptAllFileFilter
      extends FileFilter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AcceptAllFileFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(File f)` Whether the given file is accepted by this filter.
    `String` | `getDescription()` The description of this filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptAllFileFilter

          public AcceptAllFileFilter()

  - ### Method Detail

    - #### accept

          public boolean accept(File f)

      Description copied from class: `FileFilter`
      Whether the given file is accepted by this filter.
      Specified by:
        `accept` in class `FileFilter`

    - #### getDescription

          public String getDescription()

      Description copied from class: `FileFilter`
      The description of this filter. For example: "JPG and GIF Images"
      Specified by:
        `getDescription` in class `FileFilter`
      See Also:
        `FileView.getName(java.io.File)`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.